com.buschmais.jqassistant.plugin.maven3.api.model

## Interface MavenPomXmlDescriptor

- All Superinterfaces:
    com.buschmais.jqassistant.plugin.common.api.model.ArtifactDescriptor, BaseProfileDescriptor, com.buschmais.jqassistant.core.store.api.model.Descriptor, com.buschmais.jqassistant.plugin.common.api.model.FileDescriptor, com.buschmais.jqassistant.plugin.common.api.model.FileNameDescriptor, com.buschmais.jqassistant.core.store.api.model.FullQualifiedNameDescriptor, MavenArtifactDescriptor, MavenDescriptor, MavenPomDescriptor, com.buschmais.jqassistant.core.store.api.model.NamedDescriptor, com.buschmais.jqassistant.plugin.xml.api.model.XmlDescriptor, com.buschmais.jqassistant.plugin.xml.api.model.XmlFileDescriptor

      public interface MavenPomXmlDescriptor
      extends BaseProfileDescriptor, MavenPomDescriptor, com.buschmais.jqassistant.plugin.xml.api.model.XmlFileDescriptor

  Descriptor for a pom.xml.
  Author:
    ronald.kunzmann@buschmais.com
  See Also:
    `Model`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<MavenLicenseDescriptor>` | `getLicenses()` Get referenced licenses.
    `List<PomManagesDependencyDescriptor>` | `getManagedDependencies()` Get default dependency information for projects that inherit from this one.
    `MavenPomDescriptor` | `getParent()` Get the location of the parent project, if one exists.
    `List<MavenProfileDescriptor>` | `getProfiles()` Get profile information.
    `void` | `setParent(MavenPomDescriptor parent)` Set the parent POM.

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.maven3.api.model.BaseProfileDescriptor

      `getManagedPlugins, getModules, getPlugins, getProperties`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.maven3.api.model.MavenArtifactDescriptor

      `getPomManagedDependents, getProfileDependents, getProfileManagedDependents`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.common.api.model.ArtifactDescriptor

      `getClassifier, getDependencies, getDependents, getGroup, getName, getType, getVersion, setClassifier, setGroup, setName, setType, setVersion`

    - ### Methods inherited from interface com.buschmais.jqassistant.core.store.api.model.FullQualifiedNameDescriptor

      `getFullQualifiedName, setFullQualifiedName`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.xml.api.model.XmlFileDescriptor

      `getCharacterEncodingScheme, getRootElement, getXmlVersion, isStandalone, isXmlWellFormed, setCharacterEncodingScheme, setRootElement, setStandalone, setXmlVersion, setXmlWellFormed`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.common.api.model.FileNameDescriptor

      `getFileName, setFileName`

- - ### Method Detail

    - #### getParent

          @Relation(value="HAS_PARENT")
          MavenPomDescriptor getParent()

      Get the location of the parent project, if one exists. Values from the parent project will be the default for this project if they are left unspecified. The location is given as a group ID, artifact ID and version.
      Returns:
        The parent POM.

    - #### setParent

          void setParent(MavenPomDescriptor parent)

      Set the parent POM.
      Parameters:
        `parent` - The parent POM.

    - #### getLicenses

          @Relation(value="USES_LICENSE")
          List<MavenLicenseDescriptor> getLicenses()

      Get referenced licenses.
      Returns:
        The licenses.

    - #### getProfiles

          @Relation(value="HAS_PROFILE")
          List<MavenProfileDescriptor> getProfiles()

      Get profile information.
      Returns:
        The profiles.

    - #### getManagedDependencies

          List<PomManagesDependencyDescriptor> getManagedDependencies()

      Get default dependency information for projects that inherit from this one. The dependencies in this section are not immediately resolved. Instead, when a POM derived from this one declares a dependency described by a matching groupId and artifactId, the version and other values from this section are used for that dependency if they were not already specified.
      Returns:
        The managed dependencies.

Copyright © 2015 buschmais GbR. All rights reserved.